Summary: Abstract Machine Test Utility (AMTU)
Name: amtu 
Version: 1.0.8
Release: 11
License: CPL
Group: System/Base
URL: http://sourceforge.net/projects/amtueal/
Source0: %{name}-%{version}.tar.xz
Patch1: amtu-1.0.8-doc.patch
Patch2: amtu-1.0.8-init.patch
Patch3: amtu-1.0.8-memsep.patch
Patch4: amtu-1.0.8-new-file.patch
BuildRequires: audit-libs-devel >= 1.1.2
BuildRequires: automake
Requires: chkconfig

%description
Abstract Machine Test Utility (AMTU) is an administrative utility to check
whether the underlying protection mechanism of the hardware are still being
enforced. This is a requirement of the Controlled Access Protection Profile
FPT_AMT.1, see 
http://www.radium.ncsc.mil/tpep/library/protection_profiles/CAPP-1.d.pdf

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
touch ChangeLog
touch NEWS
touch AUTHORS
autoreconf -fv --install
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=${RPM_BUILD_ROOT}" "bindir=%{_sbindir}" install

%post
/sbin/chkconfig --add amtu

%preun
if [ $1 -eq 0 ]; then
   /sbin/service amtu stop > /dev/null 2>&1
   /sbin/chkconfig --del amtu
fi

%files
%defattr(-,root,root, -)
%doc doc/AMTUHowTo.txt LICENSE
%attr(755,root,root) /etc/rc.d/init.d/amtu
%config(noreplace) %attr(640,root,root) /etc/sysconfig/amtu
%attr(0750,root,root) %{_sbindir}/amtu
%attr(0644,root,root) %{_mandir}/man8/*


%changelog

* Tue Jul 14 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.0.8-11
- (fb35abb) Do not fail test if failed to get status of mount point - this can happen for fuse file systems


